Subject: Re: [PATCH RFC v4 1/9] meson: add infrastructure to build internalg

From: Patrick Steinhardt <[email-masked]>
Date: Wed, 21 Jan 2026 09:00:24 +0100

On Tue, Jan 20, 2026 at 11:23:49PM +0000, brian m. carlson wrote:
> On 2026-01-20 at 22:18:42, D. Ben Knoble wrote:
> > As far as I can tell, v4 of the Rust series introduced this script [1]. I didn't
> > notice any comments on or about the use of "--quiet" here, and Gentoo's been
> > carrying a patch to remove it [2] (also attached below). I don't think it's been
> > sent upstream, but we could… any thoughts on "why --quiet" or objections to such
> > a patch?
> 
> I have no objections to either of these patches.  We'd want `--quiet` by
> default for the Makefile due to the output format, but I don't know why
> we'd need it for meson.

For Meson it's kind of the same reasoning -- not having "--quiet" breaks
the format for the default non-verbose build.

We could of course introduce a build option that makes the Cargo command
itself be verbose? It feels a bit heavy-handed, but maybe that's fine.

Patrick